# xarray.core.rolling.DatasetRolling.construct

`DatasetRolling.``construct`(window_dim, stride=1, fill_value=<NA>)

  Convert this rolling object to xr.Dataset, where the window dimension is stacked as a new dimension

  Parameters:

  - window_dim (str) – New name of the window dimension.
  - stride (integer, optional) – size of stride for the rolling window.
  - fill_value (optional. Default dtypes.NA) – Filling value to match the dimension size.

  Returns: |
  Return type: | Dataset with variables converted from rolling object.